# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Attributes | List of all members
dirac_enc_seqstats_t Struct Reference

`#include <dirac_encoder.h>`

## Public Attributes
int64_t | mv_bits
int64_t | seq_bits
int64_t | ycomp_bits
int64_t | ucomp_bits
int64_t | vcomp_bits
int64_t | bit_rate

## Detailed Description

Structure that holds the statistics about the encoded sequence

## Member Data Documentation

## ◆ bit_rate

int64_t dirac_enc_seqstats_t::bit_rate

Average bit rate for the sequence

## ◆ mv_bits

int64_t dirac_enc_seqstats_t::mv_bits

Number of motion vector bits

## ◆ seq_bits

int64_t dirac_enc_seqstats_t::seq_bits

Total number of bits used to encode sequence

## ◆ ucomp_bits

int64_t dirac_enc_seqstats_t::ucomp_bits

Number of used to encode u component

## ◆ vcomp_bits

int64_t dirac_enc_seqstats_t::vcomp_bits

Number of used to encode v component

## ◆ ycomp_bits

int64_t dirac_enc_seqstats_t::ycomp_bits

Number of used to encode y component

The documentation for this struct was generated from the following file:

- dirac_encoder.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.